Deployments.ai Docs
Brains

Mount a Brain on an agent deployment

POST /v1/brains/{brainId}/mounts · SDK createBrainMount · CLI deployments brain-mount create

POST
/v1/brains/{brainId}/mounts

Requires brains:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
agentDefinitionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
agentDeploymentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
permission*string
Value in"read""read-write"
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$

Response Body

BrainMountResponse

application/json
  1. response
agentDefinitionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
agentDeploymentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
brainId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
ownershipGeneration?integer
Range0 <= value
permission*string
Value in"read""read-write"
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
revokedAt?string
status*string
Value in"active""revoked"
updatedAt*string
version*integer
Range0 <= value
curl -X POST "https://example.com/v1/brains/string/mounts" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "agentDefinitionId": "string",    "agentDeploymentId": "string",    "environmentId": "string",    "permission": "read",    "projectId": "string"  }'
{  "agentDefinitionId": "string",  "agentDeploymentId": "string",  "brainId": "string",  "createdAt": "string",  "environmentId": "string",  "id": "string",  "organizationId": "string",  "ownershipGeneration": 0,  "permission": "read",  "projectId": "string",  "revokedAt": "string",  "status": "active",  "updatedAt": "string",  "version": 0}